RM(1)

BEZEICHNUNG
rm - Dateien oder Verzeichnisse entfernen

ÜBERSICHT
rm [OPTION]... DATEI...

BESCHREIBUNG
Diese Handbuchseite dokumentiert die GNU-Version von rm. rm entfernt jede angegebene Datei. Standardmäßig entfernt es keine Verzeichnisse.

Falls die Option -I oder --interactive=once angegeben ist und es mehr als drei Dateien gibt oder -r, -R oder --recursive angegeben sind, dann fragt rm den Anwender, ob er mit der Operation fortfahren möchte. Falls die Antwort nicht bestätigend ist, wird der ganze Befehl abgebrochen.

Anderenfalls fragt rm den Anwender, ob die Datei entfernt werden soll, falls diese nicht schreibbar ist, die Standardeingabe ein Terminal ist und die Option -f oder --force nicht angegeben ist oder die Option -i oder --interactive=always nicht angegeben ist. Falls die Antwort nicht bestätigend ist, wird die Datei übersprungen.

OPTIONEN

Entfernen (unlink) der DATEI(en).

-f, --force
    Nicht vorhandene Dateien und Argumente ignorieren, nie nachfragen

-i  Vor jeder Entfernung nachfragen

-I  prompt once before removing more than three files, or when removing recursively; less intrusive than -i, while still giving protection against most mistakes

--interactive[=WANN]
    prompt according to WHEN: never, once (-I), or always (-i); without WHEN, prompt always

--one-file-system
    Beim rekursiven Entfernen einer Verzeichnishierarchie die Verzeichnisse überspringen, die sich auf einem anderen Dateisystem als das entsprechende Befehlszeilenargument befinden.

--no-preserve-root
    »/« nicht besonders behandeln

--preserve-root
    »/« nicht entfernen (Vorgabe)

-r, -R, --recursive
    Verzeichnisse und ihre Inhalte rekursiv entfernen

-d, --dir
    Leere Verzeichnisse entfernen

-v, --verbose
    Durchgeführte Tätigkeiten erklären

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Standardmäßig entfernt rm keine Verzeichnisse. Bei Benutzung der Option --recursive (-r oder -R) wird jedes aufgeführte Verzeichnis inklusive seiner Inhalte entfernt.

Um Dateien zu entfernen, deren Namen mit »-« beginnen, z. B. »-foo«, verwenden Sie einen dieser Befehle:

    rm -- -foo

    rm ./-foo

Beachten Sie, dass es mit ausreichendem Sachverstand und/oder Zeit möglich sein könnte, Teile des Inhalts einer Datei wiederherzustellen, wenn Sie rm zum Entfernen benutzen. Wenn Sie sichergehen wollen, dass die Inhalte wirklich nicht mehr herstellbar sind, sollten Sie erwägen, shred zu benutzen.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report rm translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Paul Rubin, David MacKenzie, Richard M. Stallman und Jim Meyering.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
unlink(1), unlink(2), chattr(1), shred(1)

Die vollständige Dokumentation für rm wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und rm auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'rm invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.